Api referencePostmaster
Authorization
bearerAuth AuthorizationBearer <token>
API key in format zk_live_* or zk_test_*
In: header
Path Parameters
domain*string
Domain name (e.g. yourdomain.com)
Query Parameters
days?integer
Number of recent days for summary mode
Default
7Range
1 <= value <= 30start_date?string
Start date (YYYY-MM-DD) for date range mode
Format
dateend_date?string
End date (YYYY-MM-DD) for date range mode (required with start_date)
Format
dateResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://zend.sh/api/v1/postmaster/domains/string/reputation"{
"domain": "string",
"days": 0,
"avg_reputation": "HIGH",
"avg_spam_rate": 0,
"auth_health": "string",
"trend": "improving"
}{
"type": "string",
"message": "string",
"field": "string",
"status": 0
}{
"type": "string",
"message": "string",
"field": "string",
"status": 0
}{
"type": "string",
"message": "string",
"field": "string",
"status": 0
}